com.independentsoft.exchange

## Enum PredictedMessageAction

- java.lang.Object
- - java.lang.Enum<PredictedMessageAction>
  - - com.independentsoft.exchange.PredictedMessageAction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PredictedMessageAction>

      public enum PredictedMessageAction
      extends java.lang.Enum<PredictedMessageAction>

  The Enum PredictedMessageAction.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE` The predicted next action is a deletion.
    `FOLLOW_UP` The predicted next action is a followup.
    `IGNORE` The predicted next action is that the item will be ignored.
    `MOVE_TO_FOLDER` The predicted next action is a move to a different folder.
    `NONE` The item has no predicted next action.
    `READ` The predicted next action is a read.
    `RESPONSE` The predicted next action is a response.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PredictedMessageAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PredictedMessageAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final PredictedMessageAction NONE

      The item has no predicted next action.

    - #### RESPONSE

          public static final PredictedMessageAction RESPONSE

      The predicted next action is a response.

    - #### FOLLOW_UP

          public static final PredictedMessageAction FOLLOW_UP

      The predicted next action is a followup.

    - #### MOVE_TO_FOLDER

          public static final PredictedMessageAction MOVE_TO_FOLDER

      The predicted next action is a move to a different folder.

    - #### DELETE

          public static final PredictedMessageAction DELETE

      The predicted next action is a deletion.

    - #### READ

          public static final PredictedMessageAction READ

      The predicted next action is a read.

    - #### IGNORE

          public static final PredictedMessageAction IGNORE

      The predicted next action is that the item will be ignored.

  - ### Method Detail

    - #### values

          public static PredictedMessageAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PredictedMessageAction c : PredictedMessageAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PredictedMessageAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null